Aurora MySQL 資料庫引擎更新 2023-08-15 (2.07.10 版,與 MySQL 5.7.12 相容) - Amazon Aurora

本文為英文版的機器翻譯版本,如內容有任何歧義或不一致之處,概以英文版為準。

Aurora MySQL 資料庫引擎更新 2023-08-15 (2.07.10 版,與 MySQL 5.7.12 相容)

版本:2.07.10

Aurora MySQL 2.07.10 已正式推出。Aurora MySQL 2.07 版與 MySQL 5.7.12 相容。如需社群變更的詳細資訊,請參閱 MySQL 5.7.12 中的變更 (2016-04-11,正式推出)

注意

此版本被指定為長期支援 (LTS) 版本。如需詳細資訊,請參閱《Amazon Aurora 使用者指南》中的 Aurora MySQL 長期支援 (LTS) 版本

目前支援的 Aurora MySQL 版本包括 2.07.*、2.11.*、3.01.*、3.02.*、3.03.* 和 3.04.*。

您可以將快照從目前支援的 Aurora MySQL 版本還原至 Aurora MySQL 2.07.10。您也可以選擇將現有的 Aurora MySQL 2.* 資料庫叢集升級至 Aurora MySQL 2.07.10。就地升級適用於 Aurora MySQL 1.* 叢集升級至 Aurora MySQL 2.* (請參閱從 Aurora MySQL 1.x 升級至 2.x)。同時也適用於 Aurora MySQL 2.* 叢集升級至 Aurora MySQL 3.* (請參閱從 Aurora MySQL 2.x 升級至 3.x)。

在執行 Aurora MySQL 2.07.10 的就地引擎版本升級後,作業系統升級會自動套用至 db.r4、db.r5、db.t2 和 db.t3 資料庫執行個體類別上所有受影響的執行個體 (如果執行個體執行舊版作業系統的話)。在多可用區域資料庫叢集中,所有讀取器執行個體都會先套用作業系統升級。當第一個讀取器執行個體上的作業系統升級完成時,容錯移轉就會發生,且先前的寫入器執行個體會升級。

注意

在主要版本升級期間,作業系統升級不會自動套用至 Aurora 全球資料庫。

如果您有任何問題或疑慮,請透過社群論壇及 AWS Support 聯繫 AWS Support。如需詳細資訊,請參閱《Amazon Aurora 使用者指南》中的維護 Amazon Aurora 資料庫叢集

如需如何升級 Aurora MySQL 資料庫叢集的詳細資訊,請參閱《Amazon Aurora 使用者指南》中的升級 Aurora MySQL 資料庫叢集的次要版本或修補程式層級

改善項目

以下列出已修正的安全性問題與 CVE:

修正和其他增強功能,以微調在受管環境中的處理。以下 CVE 修正如下所示:

一般改進:

  • 已新增對使用較小金鑰大小進行加密的 ECDHE-RSA SSL 密碼的支援。

  • 已修正使用雜湊聯結執行查詢時的記憶體管理問題。

Aurora MySQL 第 2 版中不支援的功能

Aurora MySQL 第 2 版 (與 MySQL 5.7 相容) 目前不支援下列功能。

MySQL 5.7 相容性

此 Aurora MySQL 版本有 MySQL 5.7 線路相容性,包括 JSON 支援、空間索引和產生欄位等功能。相較於 MySQL 5.7,Aurora MySQL 採用的空間索引原生實作主要利用 Z 階曲線,可為空間資料集提供超過 20 倍的寫入效能和超過 10 倍的讀取效能。

此 Aurora MySQL 版本目前不支援下列 MySQL 5.7 功能:

  • CREATE TABLESPACE SQL 陳述式

  • 群組複寫外掛程式

  • 已增加的頁面大小

  • 啟動時載入 InnoDB 緩衝集區

  • InnoDB 全文剖析器外掛程式

  • 多來源複寫

  • 線上緩衝集區大小調整

  • 密碼驗證外掛程式

  • 查詢重寫外掛程式

  • 複寫篩選

  • X 通訊協定